Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# Usage

The `contributors` directive renders the contributors of a given GitHub repository in a Sphinx documentation page.

This example renders the top 5 contributors from the repository `sphinx-doc/sphinx`, ordered in descending order, excluding `dgarcia360` and `sphinx` usernames from the list.

    .. contributors:: sphinx-doc/sphinx
        :contributions:
        :exclude: dgarcia360,sphinx
        :limit: 5
        :order: DESC

This example renders the contributors avatars, whithout showing the number of contributions:

    .. contributors:: sphinx-doc/sphinx
        :avatars:
        :limit: 5
        :order: ASC

For more information on how to style the list, see Customization.